/* -----

style.css

MQ css for smaller width - push Content down further (since Fixed Header gets taller)
------------------------------ */


/* basic style, fr HB-HC */
@import url( 'style-b-one-five.css' );


/* Box-sizing */
html {
  box-sizing: border-box;
}

*, *:before, *:after {
  box-sizing: inherit;
}

/* .clearfix */
.clearfix::after {
	content:    ".";
	display:    block;
	height:     0;
	clear:      both;
	visibility: hidden;
}

/* Browser Width Value - Class of span for my JS function */
.browser-width-value {
  position: absolute;
  top:4px;
  right:10px;
  font-family: Arial, sans-serif;
  font-size: 14px;
  padding: 1px 4px;
  background: #ffcccc; /* red-vl */
  border: 1px solid #999999;
}

ul {
margin: 0;
}

p {
	margin: 0 0 12px 0;
}

a {
	color: #000000;
	text-decoration: underline;
}

a:hover {
	color: #ff0000; /* red */
}

/* Blurb */
.blurb {
	background: #e5e5e5;
	padding: 24px 0;
}


/* LAYOUT */

body {
	font-family: Arial, sans-serif;
	font-size: 16px;
}

/* (remembering that #header is now FIXED )
- both .container-wrap and #header .wrap both need pad-LR and mar-0-auto */

#container > .container-wrap,
#header > .wrap {
  max-width: 960px;
	margin: 0 auto; /* center both wraps */
  padding: 0 2%;
}

/* Fixed Header, to start - vert padding and BG in 'Theme style' below 
170331 z-index so Links will not be overlaid by another element
*/
#header {
	position: fixed;
	top:  00px;
	left: 0 px;
	width: 100%; /* since Fixed, must explicitly state 100% width */
	z-index: 5;
}

/* Same as #Container-Wrap */
#header > .wrap {
	max-width: 960px;
	padding: 0 2%;
}



/* Theme style */

#container {}

/* 170331 - new BG color for this theme */
#header {
	padding-top: 8px;
	padding-bottom: 12px;
	background: #c1e0de; /* teal-vlg2 */
}

#site-title {
	float: left; /* put title and menu on same line */
}

/* MENU */

#menu-primary {
	float: right;
}
/* Menu toggle - don't display */
.menu-toggle {
	display: none;
}


/* 170331 new css */

.my-menu-button-div {
	float: left;
	margin-left: 60px;
	text-align: center;
}

.toggle-button-2,
.toggle-button-3 {
	font-size: 125%;
	background: #ff66ff; /* c-mag */
}


/* ----- */


#menu-primary ul {
	list-style: none;
}

/* horizontal menu elements */
#menu-primary li {
	float: left;
	margin-right: 25px;
}


/* -------------------------------------------------- */

/* MY CODE - push Panel down a bit */
#panel {}

/* to make bigger slide-out menu items */
.slide-menu-items li {
	font-size: 18px;
	margin-bottom: 25px;
}


/* -------------------------------------------------- */

/* 170331 MY MODS OF SlideOut Css example */

.slideout-menu {
	position: fixed;
	left: 0;
	top: 0;
	bottom: 0;
	right: 0;
	
	z-index: 10; /* 170331 - I want slideout menu to OVERLAY everything else, incl Fixed Header */
	
	width: 256px;
	overflow-y: scroll;
	-webkit-overflow-scrolling: touch;
	display: none;
	
	/* MY ADDITION - a BG color so I can see that it works */
	background: #dde1f0;
}

.slideout-panel {
	position: relative;
	z-index: 1;
	will-change: transform;
}

/* 170331 NOTE - I REMOVED overflow:hidden
because I want the main page to ALSO SCROLL
- ie, the slide-out menu scrolls AND the main page scrolls
REF is Sitepoint.com site, where both slide-out menu and content both scroll
 */
.slideout-open,
.slideout-open body,
.slideout-open .slideout-panel {
	/* overflow: hidden; */
}

.slideout-open .slideout-menu {
	display: block;
}

/* -------------------------------------------------- */


/* #Main
- because #header is now Fixed, it is out of the flow and so it's height is ignored
- create Padding or Margin in #main to push #main and rest of page downward
*/
#main {
padding-top: 120px;
}

#content {
	margin-bottom: 16px;
}

#sidebar {
	margin-bottom: 16px;
}

#footer {
	margin-bottom: 16px;
}

/* -------------------------------------------------- */

/* Media Queries */

/* MQ Bp525 === max-width if <= then */
@media only screen and (max-width: 525px) {
	#main {
	padding-top: 144px;
	}
} /* end MQ */








